# Contributing to commit
We love your input! We want to make contributing to this project as easy and transparent as possible, whether it's:

- Reporting a bug
- Discussing the current state of the code
- Submitting a fix
- Proposing new features

## Write bug reports with detail

**Great Bug Reports** tend to have:

- A quick summary and/or background
- Steps to reproduce
  - Be specific!
- What you expected would happen
- What actually happens
- Notes (possibly including why you think this might be happening, or stuff you tried that didn't work)

## Contributing with code

1. Fork the repo and create your branch from `main`.
2. If you've added code that should be tested, add tests.
3. If you've changed user interface or configuration file code, update the documentation
4. Ensure the test suite passes, run `cargo test` to run the tests
5. Make sure your code lints, run `cargo fmt` to format the code and follow the lint rules with `cargo clippy`.
6. Issue that pull request!

## License
By contributing, you agree that your contributions will be licensed under its MIT License.
